package com.abcxin.smart.core.persistence.dialect;

import com.abcxin.smart.core.persistence.IDialect;

/**
 * @author subinghui
 * @date 2017/1/13 16:46
 */
public class MySqlDialect implements IDialect {
    @Override
    public String buildPaginationSql(String originalSql, int offset, int limit) {
        StringBuilder sql = new StringBuilder(originalSql);
        sql.append(" LIMIT ").append(offset).append(",").append(limit);
        return sql.toString();
    }
}
